import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

const jsonUrl ='https://gist.githubusercontent.com/preethamkesa/8c9250890bf0173068326aac31edf9d1/raw/d0ad238b6739c688502e3ddda9b3d140e329c8fd/map';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)
  
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['laen.geo']),
        	interiors: mesh(topojsonData, topojsonData.objects['laen.geo'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};